package hu.se.app12;

/**
 * Class under test.
 */
public class MailApp {

	private QuickResponse quickResponse;

	public MailApp(QuickResponse quickResponse) {
		this.quickResponse = quickResponse;
	}

	/**
	 * Returns the quick response based on the selected option.
	 * 
	 * @param option
	 *            the option to choose.
	 * @return the quick response
	 */
	public String replyQuickly(int option) {
		String quick;
		switch (option) {
		case 0:
			quick = this.quickResponse.getOptions().get(0);
			break;
		case 1:
			quick = this.quickResponse.getOptions().get(1);
			break;
		case 2:
			quick = this.quickResponse.getOptions().get(2);
			break;
		default:
			quick = this.quickResponse.getOptions().get(0);
			break;
		}
		return quick;
	}
}
